public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/jq/
Date: Sat,  7 Jan 2023 04:54:09 +0000 (UTC)	[thread overview]
Message-ID: <1673063988.6c7383ea40474bb11d50a3a18febb5d3b2ab657a.mgorny@gentoo> (raw)

commit:     6c7383ea40474bb11d50a3a18febb5d3b2ab657a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jan  7 03:59:48 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jan  7 03:59:48 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6c7383ea

dev-python/jq: Bump to 1.4.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/jq/Manifest        |  1 +
 dev-python/jq/jq-1.4.0.ebuild | 37 +++++++++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/dev-python/jq/Manifest b/dev-python/jq/Manifest
index ae0c90c1673f..252c25e96b41 100644
--- a/dev-python/jq/Manifest
+++ b/dev-python/jq/Manifest
@@ -1 +1,2 @@
 DIST jq-1.3.0.gh.tar.gz 2648187 BLAKE2B 61b6d4dbb2163477d09e69c25e0bec98780f39088d4e689a7e13ed8d64749c2e238f2bf7d1f6c47f3cebe1c94a1e5fa5322a988ce251e8417aac77c789975064 SHA512 cf3c1ac7954d36d808b9f9841ff7f71835e3324f6f8eb09ef3a66b446b47a354d8ff090dc3529b9936ec5d7a33ba5163354d3534f0dfc0cb467222a990e58fb5
+DIST jq.py-1.4.0.gh.tar.gz 2648402 BLAKE2B 5efc35fd9ee52e5c1c87ac46d980d1557121eedb14beb5d534987d81a37b05c5c765ef69cecf65141d7c451623d05d378bdcf9a6e48667c07a9f52e7d0317bbf SHA512 8acd9c4094e0e6f5ffd43303432347448e8cb160f2c33250a386afc75eac53134b15142da3f344b0ea3eac4df838ffa322771580a27349299f32a2c525e09555

diff --git a/dev-python/jq/jq-1.4.0.ebuild b/dev-python/jq/jq-1.4.0.ebuild
new file mode 100644
index 000000000000..2bbe57192855
--- /dev/null
+++ b/dev-python/jq/jq-1.4.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+MY_P="jq.py-${PV}"
+DESCRIPTION="Python bindings for jq"
+HOMEPAGE="
+	https://github.com/mwilliamson/jq.py/
+	https://pypi.org/project/jq/
+"
+SRC_URI="
+	https://github.com/mwilliamson/jq.py/archive/${PV}.tar.gz
+		-> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+	dev-python/cython[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+	# Cython compilation isn't part of setup.py, so do it manually
+	"${EPYTHON}" -m cython -3 jq.pyx -o jq.c || die
+	distutils-r1_python_compile
+}


             reply	other threads:[~2023-01-07  4:54 UTC|newest]

Thread overview: 40+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-01-07  4:54 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-07 13:06 [gentoo-commits] repo/gentoo:master commit in: dev-python/jq/ Michał Górny
2024-09-07 12:31 Jakov Smolić
2024-09-07 11:26 Jakov Smolić
2024-08-17 16:55 Michał Górny
2024-06-03 21:20 Louis Sautier
2024-05-18  5:05 Michał Górny
2024-04-18  5:34 Michał Górny
2024-04-18  5:23 Sam James
2024-04-18  5:23 Sam James
2024-03-17 16:24 Michał Górny
2023-10-06 19:57 Arthur Zamarin
2023-10-06 18:08 Sam James
2023-09-13  3:57 Sam James
2023-09-13  2:42 Michał Górny
2023-08-31 13:22 Michał Górny
2023-08-06 12:30 Michał Górny
2023-05-25  3:18 Sam James
2023-05-04 16:17 Michał Górny
2023-04-17  4:21 Michał Górny
2023-04-16 23:17 Sam James
2023-04-16 17:15 Arthur Zamarin
2023-03-17  5:32 Michał Górny
2023-02-16 14:18 Michał Górny
2023-02-16 10:01 Sam James
2023-02-16  5:24 Sam James
2022-10-10 20:22 Michał Górny
2022-10-10 18:34 Sam James
2022-10-10 18:34 Sam James
2022-09-22 21:06 Zac Medico
2022-09-09  7:23 Arthur Zamarin
2022-03-21  9:15 Jakov Smolić
2022-03-21  9:12 Jakov Smolić
2022-02-10 21:10 Arthur Zamarin
2021-11-13 15:38 Louis Sautier
2021-10-17  8:58 Michał Górny
2021-09-12 15:35 Arthur Zamarin
2021-06-14 20:05 Zac Medico
2021-04-24  1:46 Zac Medico
2021-04-24  1:38 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1673063988.6c7383ea40474bb11d50a3a18febb5d3b2ab657a.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox